Foreman - Bug #13813

While adding parameter to any host if the parameter value contain the multiple space , it's generating
the faulty yaml

02/19/2016 11:28 AM - Bryan Kearney

Status: Closed
Priority: Normal
Assignee: Shimon Shtein
Category: External Nodes
Target version: 1.12.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1306395 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3710
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1306395

Description of problem:

While adding parameter to any host if the parameter value contain the multiple space , it's generating the faulty yaml and hence the
corresponding faulty change are reflected to the puppet agent.

Version-Release number of selected component (if applicable):
6.1

How reproducible:
Every time

Steps to Reproduce:

While adding parameter ( Host --> parameter --> add parameter ) to any host if the parameter value contain the multiple lines with
spaces ( "\" shows up every 2nd entry in between parts of the line) , it's generating the faulty yaml add and hence the corresponding
faulty change are reflected to the client config file.

extend = auth include password-auth
account include password-auth

Corresponding yaml generated

extend: ! "auth include password-auth\r\naccount
\ include password—-auth"

extra '\' added.
Actual results:
Expected results:

Additional info:

Associated revisions

Revision 0069c98d - 08/09/2016 06:55 AM - Shimon Shtein
Fixes #13813 - Removed "\ " so ruby 1.8 could read the ENC

Revision e3a40b55 - 08/23/2016 10:49 AM - Shimon Shtein
Fixes #13813 - Removed "\ " so ruby 1.8 could read the ENC

(cherry picked from commit 0069c98dcb50a8960f92397921cfb8a98dc8401e)

History
https://bugzilla.redhat.com/show_bug.cgi?id=1306395

#1 - 02/22/2016 03:41 AM - Dominic Cleal

- Category set to External Nodes

- Status changed from New to Need more information
- Assignee deleted (Ori Rabin)

- Priority changed from High to Normal

A slash before a space is valid in YAML as far as | know, it shouldn't appear when loaded. The supplied YAML loads fine for me:

{"extend"=>"auth include password-auth\r\naccount include pas
sword—auth"}

#2 - 02/22/2016 03:41 AM - Dominic Cleal

- Description updated

#3 - 08/09/2016 03:03 AM - The Foreman Bot
- Status changed from Need more information to Ready For Testing
- Assignee set to Shimon Shtein

- Pull request https://github.com/theforeman/foreman/pull/3710 added

#4 - 08/09/2016 07:01 AM - Shimon Shtein
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 0069c98dcb50a8960f92397921cfb8a98dc8401e.

#5 - 08/09/2016 08:59 AM - lvan Necas

- Target version set to 1.7.0

#6 - 08/09/2016 09:01 AM - Dominic Cleal

- translation missing: en.field_release set to 175
